#!/bin/sh

sox A.mp3 -r 8000 -c 1 -w -s A.raw
dd if=A.raw of=Ac.bin bs=16000 skip=188 count=912

NAME=Ac

FREQS="504.6055  865.3549 1225.3810 1585.4311 1945.1196 2305.0251"
WGTS="0.34060107 -0.37903375 0.17917619 -0.10118898 0.06112374 -0.02926898"
OFFS=853.8972

demod ${NAME}.bin 8000 20 ${FREQS} >${NAME}.dem
discrim $WGTS <${NAME}.dem >${NAME}.dis
decode 8 $OFFS <${NAME}.dis >${NAME}.dec
awk '(NR > 1230){print}' ${NAME}.dec >${NAME}.dec2
extract_pll 100 <${NAME}.dec2 >${NAME}.txt
awk '(NR > 2 && NR < 591){print}' ${NAME}.txt >${NAME}.txt2
time quick_setting key0.txt ${NAME}.txt2 |tee setting.out
tail -13 setting.out >key.txt
cryptrace key.txt ${NAME}.txt2 >${NAME}.trace

